import React, { useContext } from "react";
import { motion } from "framer-motion";
import {
	LikeFilled,
	LikeOutlined,
	EyeOutlined,
	CommentOutlined,
} from "@ant-design/icons";
import { Button, Tooltip } from "antd/lib";
import { PostDetailContext } from "../context/PostDetailContext";
import { useVisitor } from "@nice/client";
import { VisitType } from "packages/common/dist";
import PostLikeButton from "./PostLikeButton";
export function StatsSection() {
	const { post, user } = useContext(PostDetailContext);
	const { like, unLike } = useVisitor();

	return (
		<motion.div
			initial={{ opacity: 0, y: 20 }}
			animate={{ opacity: 1, y: 0 }}
			transition={{ delay: 0.7 }}
			className="mt-6 flex flex-wrap gap-4 justify-between items-center">
			<div className=" flex gap-2">
				<div className="flex items-center gap-1 text-gray-500">
					<EyeOutlined className="text-lg" />
					<span className="text-sm">{post?.views}</span>
				</div>
				<div className="flex items-center gap-1 text-gray-500">
					<CommentOutlined className="text-lg" />
					<span className="text-sm">{post?.commentsCount}</span>
				</div>
			</div>
			<PostLikeButton post={post}></PostLikeButton>
		</motion.div>
	);
}
